import re

# načtení vstupního textu
with open('15kHz_1740657045.txt') as soubor:
    text = soubor.read()

# příprava regexpové mašiny
pattern = re.compile(r'''
    ^\|\s(.*)\n                 # brand
    ^\|\s<kbd>(.*)</kbd>\n      # model
    ^\|\s.*\s\|\s(.*)\n         # size
    ^\|\s(.*)\n                 # hres
    ^\|\s(.*)\n                 # vres
    ^\|\s.*\s\|\s(.*)\n         # aspect
    ^\|\s(.*)\n                 # inputs
    ^\|\s.*\s\|\s(.*)\n         # support
    ^\|\s.*\s\|\s(.*)\n         # year
    ^\|\s(.*)\n                 # comments
    ''', re.MULTILINE | re.VERBOSE
)

with open('00.csv', mode='tw', encoding='utf-8') as soubor:
    soubor.write('brand\tmodel\tsize\thres\tvres\taspect\tinputs\tsupport\tyear\tcomments\n')
    for i,match in enumerate(pattern.finditer(text), start=1):
        brand, model, size, hres, vres, aspect, inputs, support, year, comments = match.groups()
        print(
            f'{brand}\t{model}\t{size}\t{hres}\t{vres}\t{aspect}\t{inputs}\t{support}\t{year}\t{comments}'
            , file=soubor
        )
